%define piname	sar_pi

Name:		opencpn-sar-plugin
Summary:	Search And Rescue plugin for OpenCPN
Version:	3.0.0
Release:	%mkrel 1
License:	GPLv2
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/sar.html
Source0:	https://github.com/Rasbats/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel < 3.1
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Create Search and Rescue patterns with desired parameters.

%prep
%autosetup -p1 -n %{piname}-%{version}

%build
cmake -DCMAKE_BUILD_TYPE=Debug -B .

make

%install

mkdir -p %{buildroot}%{_libdir}/opencpn
install ./app/sar-3.0-mageia-*/lib/opencpn/lib%{piname}.so %{buildroot}%{_libdir}/opencpn

mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data
install ./data/*.* %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data

mkdir -p %{buildroot}%{_datadir}/locale
cp -r ./app/sar-3.0-mageia-*/share/locale %{buildroot}%{_datadir}

%files 
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/
%{_datadir}/locale


%changelog
* Mon Jul 11 2022 philippedidier <philippedidier> 3.0.0-1.mga8
+ Revision: 1868483
- new version 3.0.0

* Fri Jul 23 2021 barjac <barjac> 2.6-2.mga9
+ Revision: 1737459
- fix lib path on aarch64
- set version limit on wxgtku BR
- Minor typo in %%description
- Remove stray tab at end of line
+ philippedidier <philippedidier>
- imported package opencpn-sar-plugin

